LGTOLIC(8)

NAME
lgtolic - Legato license utility command

SYNOPSIS
lgtolic [ -s server ] -c enabler_code
lgtolic -i [ -m hostfile_dir ]
lgtolic [ -s server ] -l
lgtolic [ -s server ] -r [ -m hostfile_dir ] [ -f output_file ]
lgtolic [ -s server ] -u enabler_code -a authorization_code
lgtolic [ -s server ] -v enabler_code

DESCRIPTION
The lgtolic command is used to manipulate Legato licenses that are stored within a license resource database. The license resource database is administered by a Legato license daemon. For a description of the license daemon, see lgtolmd(8).

OPTIONS

-a authorization_code
    Authorizes a license with the specified authorization code, making the license permanent. Specify the license to be authorized by using the -u option and the -a option. To obtain authorization codes for this product via the World Wide Web, simply point your web browser to license.legato.com. You will be asked to enter the enabler code for each authorization code that you request. For more details on product licensing, including other methods to obtain authorization codes, refer to the product Installation and Administration Guide and the latest Release Supplement.

-c enabler_code
    Creates the license indicated by the specified enabler code. Enabler codes are listed on enabler certificates provided to you when you purchased this product. An authorization code is required to make each license permanent.

-f output_file
    Captures customer registration data into the specified output_file. Once this text file is created, forward it to Legato customer support to register your product. If the -f output_file option is not specified, the -r option encapsulates customer registration information into a file named register.txt.
    Note: This option can only be used in conjunction with the -r option.

-i  Prints out the hostid of the machine on which this command is running.

-l  Lists all of the Legato product licenses currently stored within the license resource database.

-m hostfile_dir
    Specifies the directory where the hostids file resides. If this option is specified, the program will use the list of hostid(s) in the hostids file that resides in this directory to generate a composite hostid. This option is useful if the licensing manager is installed on a cluster machine or to force the hostid to be IP address-based instead of machine security ID-based on an NT machine. For NetWorker, the typical directory for the hostids file is /nsr/res. For a stand-alone licensing manager running on a machine that does not have the NetWorker server installed, the typical path is /nsr/lic/res. The format for the list of hostids in a hostids file is: hostid1:hostid2:hostid3 where hostid is a hexadecimal string. This option must be used to specify a hostid file.

-r  Creates or modifies customer registration data stored within the license resource database. The -f option captures this customer registration data into a text file.

-s server
    Specifies the hostname, RPC program number, and version for the license daemon whose database you are targeting. License daemon information is displayed in the following format:
          < hostname >:< rpc_number >:< version >
    Note: If you do not specify the -s server option, lgtolic uses the default values that map to the daemon used by the product shipped. The current default for the hostname is localhost, the default for the RPC program number is 390115, and the default for the RPC version number is 2. You can also use environment variables to change these three defaults. LMD_HOSTNAME changes the default hostname of the machine where the license daemon is running. LMD_PROGNUM changes the default RPC program number for connecting to the license daemon. You should never have to use this. LMD_VERSION changes the default RPC version number for connecting to the license daemon. The following example uses default hostname and RPC program number, but uses RPC version number 1 to list all licenses.
    Example: lgtolic -s "::1" -l
    To specify a license daemon located on an alternative machine, use the -s < hostname > option.

-u enabler_code
    Updates an installed base license with the given base enabler specified at the command line.

-v enabler_code
    Deciphers the specified enabler code. The generated output includes information about the license name, type, serial number, and count.

NOTES
The daemon information provided by the -s option can also be obtained by using the following environment variables: LMD_HOSTNAME, The name of the host for the license daemon LMD_PROGNUM, The program number for the license daemon LMD_VERSION, The version number for the license daemon

DIAGNOSTICS

Program not registered
    lgtolmd is not running.

Unknown host
    Either the default hostname is invalid or the hostname specified with the -s option is invalid.

SEE ALSO
lgtolmd(8)